Name:          libraw1394
Version:       2.1.1
Release:       1mamba
Summary:       Direct access library to the IEEE 1394 bus
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://sourceforge.net/projects/libraw1394/
Source:        https://www.kernel.org/pub/linux/libs/ieee1394/libraw1394-%{version}.tar.gz
#Source:        http://downloads.sourceforge.net/project/libraw1394/libraw1394/libraw1394-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The libraw1394 library provides direct access to the IEEE 1394 bus through the Linux 1394 subsystem's raw1394 user space interface.

%package devel
Summary:       Devel files for libraw1394
Group:         Development/Libraries
Requires:      %{name} = %{version}

%description devel
The libraw1394 library provides direct access to the IEEE 1394 bus through the Linux 1394 subsystem's raw1394 user space interface.

This package contains the development libraries needed to build applications against libraw1394.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/testlibraw
%{_bindir}/dumpiso
%{_bindir}/sendiso
%{_libdir}/libraw1394.so.*
%{_mandir}/man1/testlibraw.*
%{_mandir}/man1/dumpiso.*
%{_mandir}/man1/sendiso.*
%{_mandir}/man5/isodump.*
%doc COPYING.LIB README NEWS

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libraw1394.pc
%dir %{_includedir}/libraw1394
%{_includedir}/libraw1394/*.h
%doc doc/libraw1394.sgml

%changelog
* Thu Jul 09 2015 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Sat Dec 08 2012 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- update to 2.1.0

* Fri Oct 01 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.5-1mamba
- update to 2.0.5

* Wed Jul 01 2009 Automatic Build System <autodist@mambasoft.it> 2.0.4-1mamba
- automatic update by autodist

* Tue Mar 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.2-1mamba
- automatic update by autodist

* Tue Jan 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-1mamba
- automatic update by autodist

* Sun May 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-1mamba
- update to 1.3.0

* Wed Oct 25 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.2.1-1qilnx
- update to version 1.2.1 by autospec

* Tue Aug 02 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.0-1qilnx
- update to version 1.2.0 by autospec
- %%post, %%postun scripts added
- own include directory

* Fri Mar 05 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.0-1qilnx
- first build
